Bug 157371 - 4/5 attempts to load snd-nm256 lock up Dell Latitude CSx; 1/5 succeed.
4/5 attempts to load snd-nm256 lock up Dell Latitude CSx; 1/5 succeed.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-10 19:33 EDT by Tom Treder
Modified: 2015-01-04 17:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:19:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Treder 2005-05-10 19:33:12 EDT
Description of problem: snd-nm256 crashes Dell Latitude CSx (usually -- 
sometimes the module loads OK)


Version-Release number of selected component (if applicable):
kernel: 2.6.11-1.14_FC3 (and 2.6.9-x.xx)




How reproducible:
either:  
a.) bootup default "everything" installation of FC3
else (if this boots OK, 1 in 4 chance)
b.) modprobe snd-nm256


Steps to Reproduce:
1.)boot a Dell Latitude CSx (with NeoMagic 256 sound+video device)
2.)if that doesn't hang during "Intializing Hardware" on the audio portion, 
then:  from command line as root:  modprobe snd-nm256
  
Actual results:
usually, computer will become completely unresponsive.  Can't change virtual 
terminals.  ctl+alt+del has no effect.  

Expected results:
normal bootup 
- or if doing modprobe from command line -- normal computer operation, with 
sound



Additional info:
Occasionally the computer will boot normally -- or likewise, "modprobe snd-
nm256" doesn't hang computer -- and sound will work along with everything else.
But the only way I've been able to get the computer to boot reliably is to 
comment out lines 206-210 of /etc/rc.sysinit so that the sound module doesn't 
try to load.
Comment 1 Dave Jones 2005-07-15 15:38:26 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Dave Jones 2005-10-02 20:19:40 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.